String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	document.getElementById("TxtNom").value="";
	document.getElementById("TxtCon").value="";
	document.getElementById("TxtDir").value="";
	document.getElementById("CboDis").value="";
	document.getElementById("TxtRuc").value="";
	document.getElementById("TxtDni").value="";
	document.getElementById("TxtTel").value="";
	document.getElementById("TxtCel").value="";
	document.getElementById("TxtFax").value="";
	document.getElementById("TxtEma").value="";	
	document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").value="Guardar";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="";
	document.getElementById("TxtNom").focus();
}
function flEliminar(){
	var id=jVal(gv("TxtId"));
	var Rpta = confirm("Esta seguro que desea eliminar?")		
	if (Rpta==true){
		var R=AJ("aj.php?Cmd=V2&P1="+id);
		if(R=="VEN"){
			alert("No se puede eliminar. Una o mas ventas relacionadas");
			return;
		}
		if(R=="COT"){
			alert("No se puede eliminar. Una o mas proformas relacionadas");
			return;
		}
		document.getElementById("TxtAc").value="E";
		document.getElementById("Frm").submit();
	}
}


function fGuardar(){
	var id=jVal(gv("TxtId"));
	var Dni=gv("TxtDni");
	var Nom=gv("TxtNom");
	var Ruc=gv("TxtRuc");
	var tip=gv("TipDoc");
	if(jL(Nom)==0){
		alert("Ingrese el nombre del cliente");
		document.getElementById("TxtNom").focus();
		return;
	}
	
	if(jL(Ruc)>0){
		if(jL(Ruc)!=11){
			alert("El numero de ruc debe tener 11 digitos");
			document.getElementById("TxtRuc").focus();
			return;
		}
	}
	if(jL(Dni)>0){
		if(jL(tip)==0){
			alert("Seleccion el tipo de documento de identidad");
			document.getElementById("TipDoc").focus();
			return;
		}
		if(tip=="DNI"){
			if(jL(Dni)!=8){
				alert("El numero de DNI debe tener 8 digitos");
				document.getElementById("TxtDni").focus();
				return;				
			}
		}
	}
	if(jL(Ruc)==0 && jL(Dni)==0){
		alert("Ingrese el numero de RUC o numero de documento de identidad");
		document.getElementById("TipDoc").focus();
		return;				
	}
	if(jLen(Dni)>0 || jLen(Ruc)>0){
		var R=AJ("aj.php?Cmd=V1&P1="+id+"&P2="+Ruc+"&P3="+Dni);
		if(R=="RR"){
			alert("Numero de ruc ya registrado");
			jFocus("TxtRuc");
			return;
		}
		if(R=="DR"){
			alert("Numero de dni ya registrado");
			jFocus("TxtRuc");
			return;
		}		
	}
	if(document.getElementById("CmdG").value=="Guardar"){
		document.getElementById("TxtAc").value="G";
	}else{
		document.getElementById("TxtAc").value="M";
	}
	document.getElementById("Frm").submit();
}
/**************************************************************************
	onkeypress="return pulsar(event);"
**************************************************************************/
function pulsar(e) { 	
	var tecla = (document.all) ? e.keyCode :e.which; 
	var Obj=event.srcElement.name;	
	if(Obj=="TxtNom"){
		if(tecla==13){			
			document.getElementById('CmdG').click();			
		}
	}	
	return (tecla!=13); 
} 
//**************************************************************************
